Alluxio集群之前部署成功,一切顺利!
可是在Alluxio重新启动的时候发现Alluxio Worker进程起不来,提示java命令找不到:
[localhost] Connecting as root...
[localhost] nohup: ignoring input
[localhost] Cannot find the 'java' command.
[localhost] Connection to localhost closed.
Linux Java配置尝试的方法:
1,以前这个方法可以启动Alluxio Worker进程的,现在失效了。
root@worker1:~# sudo update-alternatives --install/usr/bin/java java /usr/local/jdk1.8.0_60/bin/java 300
2,which java显示java执行路径 /usr/bin/,调整为/usr/local/jdk1.8.0_60/bin/ 仍无效。
rm -f /usr/bin/javac
rm -f /etc/alternatives/java
rm -f /etc/alternatives/javac
cd /usr/bin
ln -s -f /usr/local/jdk1.8.0_60/bin/
ln -s -f /usr/local/jdk1.8.0_60/bin/
root@master:/usr/local# which java
/usr/local/jdk1.8.0_60/bin/java
root@master:/usr/local# java -version
java version "1.8.0_60"
Java(TM) SE Runtime Environment (build 1.8.0_60-b27)
Java HotSpot(TM) 64-Bit Server VM (build 25.60-b23, mixed mode)
root@master:/usr/local#
3,尝试修改修改Alluxio-config.sh配置文件 JAVA_HOME="/usr/local/jdk1.8.0_60",仍无效。
JAVA_HOME="/usr/local/jdk1.8.0_60"
if [[ -z "$(which java)" ]]; then
echo "Cannot find the 'java' command."
exit 1
fi
4,Alluxio Worker进程起不来的情况下,只好尝试重装Alluxio。
root@master:/usr/local/setup_tools# tar -zxvf alluxio-1.7.0-hadoop-2.6-bin.tar.gz
root@master:/usr/local/setup_tools# ls | grep alluxio
alluxio-1.7.0-hadoop-2.6
root@master:/usr/local# ls -ltr | grep alluxio-1.7.0-hadoop-2.6
drwxr-xr-x 23 501 root 4096 Jan 16 10:14 alluxio-1.7.0-hadoop-2.6
root@master:/usr/local#
5,Alluxio配置文件配置。
root@master:/usr/local# cd alluxio-1.7.0-hadoop-2.6
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6# cd conf
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# ls
alluxio-env.sh.template alluxio-site.properties.template core-site.xml.template log4j.properties masters metrics.properties.template workers
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# mv alluxio-site.properties.template alluxio-site.properties
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# vi alluxio-site.properties
.......
# User properties
# alluxio.user.file.readtype.default=CACHE_PROMOTE
# alluxio.user.file.writetype.default=MUST_CACHE
alluxio.master.hostname=master
6,worker节点配置
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# vi workers
#localhost
worker1
worker2
worker3
7,HDFS文件检查
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# hdfs dfs -ls hdfs://master:9000/alluxio/
Found 1 items
drwxr-xr-x - root supergroup 0 2018-02-12 15:52 hdfs://master:9000/alluxio/data
8,配置Alluxio对应的hdfs目录 alluxio.underfs.address=hdfs://master:9000/alluxio/data
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# vi alluxio-site.properties
# alluxio.user.file.readtype.default=CACHE_PROMOTE
# alluxio.user.file.writetype.default=MUST_CACHE
alluxio.master.hostname=master
alluxio.underfs.address=hdfs://master:9000/alluxio/data
9,同步 文件/usr/local/alluxio-1.7.0-hadoop-2.6
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# alluxio copyDir /usr/local/alluxio-1.7.0-hadoop-2.6
RSYNC'ing /usr/local/alluxio-1.7.0-hadoop-2.6 to workers...
worker1
worker2
worker3
10, Alluxio系统格式化。
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# alluxio format
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio formatWorker
Waiting for tasks to finish...
All tasks finished
Formatting Alluxio Master @ master
2018-02-13 20:44:47,820 INFO Configuration - Configuration file /usr/local/alluxio-1.7.0-hadoop-2.6/conf/alluxio-site.properties loaded.
2018-02-13 20:44:47,932 INFO Format - Formatting master journal: /usr/local/alluxio-1.7.0-hadoop-2.6/journal/
2018-02-13 20:44:47,962 INFO UnderFileSystemFactoryRegistry - Loading core UFS jars from /usr/local/alluxio-1.7.0-hadoop-2.6/lib
2018-02-13 20:44:47,996 INFO ExtensionsClassLoader - Created ExtensionsClassLoader with jars=file:/usr/local/alluxio-1.7.0-hadoop-2.6/lib/alluxio-underfs-oss-1.7.0.jar
2018-02-13 20:44:48,000 INFO ExtensionsClassLoader - Created ExtensionsClassLoader with jars=file:/usr/local/alluxio-1.7.0-hadoop-2.6/lib/alluxio-underfs-gcs-1.7.0.jar
2018-02-13 20:44:48,005 INFO ExtensionsClassLoader - Created ExtensionsClassLoader with jars=file:/usr/local/alluxio-1.7.0-hadoop-2.6/lib/alluxio-underfs-wasb-1.7.0.jar
2018-02-13 20:44:48,014 WARN UnderFileSystemFactoryRegistry - Failed to load jar /usr/local/alluxio-1.7.0-hadoop-2.6/lib/alluxio-underfs-wasb-1.7.0.jar: alluxio.underfs.UnderFileSystemFactory: Provider alluxio.underfs.hdfs.HdfsUnderFileSystemFactory not found
2018-02-13 20:44:48,014 INFO ExtensionsClassLoader - Created ExtensionsClassLoader with jars=file:/usr/local/alluxio-1.7.0-hadoop-2.6/lib/alluxio-underfs-s3a-1.7.0.jar
2018-02-13 20:44:48,019 INFO ExtensionsClassLoader - Created ExtensionsClassLoader with jars=file:/usr/local/alluxio-1.7.0-hadoop-2.6/lib/alluxio-underfs-hdfs-1.7.0.jar
2018-02-13 20:44:48,025 INFO ExtensionsClassLoader - Created ExtensionsClassLoader with jars=file:/usr/local/alluxio-1.7.0-hadoop-2.6/lib/alluxio-underfs-swift-1.7.0.jar
2018-02-13 20:44:48,029 INFO ExtensionsClassLoader - Created ExtensionsClassLoader with jars=file:/usr/local/alluxio-1.7.0-hadoop-2.6/lib/alluxio-underfs-local-1.7.0.jar
2018-02-13 20:44:48,031 INFO UnderFileSystemFactoryRegistry - Loading extension UFS jars from /usr/local/alluxio-1.7.0-hadoop-2.6/extensions
2018-02-13 20:44:48,033 INFO UnderFileSystemFactoryRegistry - Loading core UFS jars from /usr/local/alluxio-1.7.0-hadoop-2.6/lib
2018-02-13 20:44:48,035 INFO UnderFileSystemFactoryRegistry - Loading extension UFS jars from /usr/local/alluxio-1.7.0-hadoop-2.6/extensions
2018-02-13 20:44:48,050 INFO UnderFileSystemFactoryRegistry - Loading core UFS jars from /usr/local/alluxio-1.7.0-hadoop-2.6/lib
2018-02-13 20:44:48,051 INFO UnderFileSystemFactoryRegistry - Loading extension UFS jars from /usr/local/alluxio-1.7.0-hadoop-2.6/extensions
2018-02-13 20:44:48,052 INFO UfsJournal - Formatting /usr/local/alluxio-1.7.0-hadoop-2.6/journal/BlockMaster/v1
2018-02-13 20:44:48,099 INFO UfsJournal - Formatting /usr/local/alluxio-1.7.0-hadoop-2.6/journal/FileSystemMaster/v1
2018-02-13 20:44:48,103 INFO Format - Formatting complete
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf#
11,启动Alluxio集群 。在启动Alluxio集群前先启动Hadoop集群
/usr/local/hadoop-2.6.0/sbin/start-all.sh
12,启动Alluxio集群 。
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# alluxio-start.sh all Mount
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh proxy
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh proxy
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh worker
Waiting for tasks to finish...
All tasks finished
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh master
Waiting for tasks to finish...
All tasks finished
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh master
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh worker Mount
Waiting for tasks to finish...
All tasks finished
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh proxy
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh proxy
Waiting for tasks to finish...
All tasks finished
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf#
13,jps检查
root@worker1:~# jps
2389 NodeManager
2296 DataNode
3657 Jps
2990 AlluxioProxy
root@worker1:~#
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# jps
2592 NameNode
3969 AlluxioProxy
2773 SecondaryNameNode
2942 ResourceManager
5167 Jps
14,仍没启动Alluxio Worker进程。还是找不到java
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# cat /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log |more
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio fo
rmatWorker
[worker1] Connecting as root...
[worker2] Connecting as root...
[worker3] Connecting as root...
[worker3] nohup: ignoring input
[worker2] nohup: ignoring input
[worker1] nohup: ignoring input
[worker3] Cannot find the 'java' command.
[worker3] Connection to worker3 closed.
[worker2] Cannot find the 'java' command.
[worker2] Connection to worker2 closed.
[worker1] Cannot find the 'java' command.
[worker1] Connection to worker1 closed.
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-st
op.sh proxy
[localhost] Connecting as root...
15,java检查,没发现异常。
root@worker1:~# java -version
java version "1.8.0_60"
Java(TM) SE Runtime Environment (build 1.8.0_60-b27)
Java HotSpot(TM) 64-Bit Server VM (build 25.60-b23, mixed mode)
root@worker1:~# which java
/usr/local/jdk1.8.0_60/bin/java
root@worker1:~# /usr/local/jdk1.8.0_60/bin/java -version
java version "1.8.0_60"
Java(TM) SE Runtime Environment (build 1.8.0_60-b27)
Java HotSpot(TM) 64-Bit Server VM (build 25.60-b23, mixed mode)
root@worker1:~#
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# java -version
java version "1.8.0_60"
Java(TM) SE Runtime Environment (build 1.8.0_60-b27)
Java HotSpot(TM) 64-Bit Server VM (build 25.60-b23, mixed mode)
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# which jac
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# which java
/usr/local/jdk1.8.0_60/bin/java
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# which javac
/usr/local/jdk1.8.0_60/bin/javac
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf# javac -version
javac 1.8.0_60
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/conf#
16,查看报错日志出现的地方。
root@master:/usr/local# grep -r "Cannot find the " /usr/local/alluxio-1.7.0-hadoop-2.6
/usr/local/alluxio-1.7.0-hadoop-2.6/libexec/alluxio-config.sh: echo "Cannot find the 'java' command."
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker3] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker2] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker1] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[localhost] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker2] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker1] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker3] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker1] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker3] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker2] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[localhost] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[localhost] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker2] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker1] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker3] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[localhost] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker1] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker3] Cannot find the 'java' command.
/usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log:[worker2] Cannot find the 'java' command.
17,自己写测试脚本 javaTest.sh ,测试一下Java的目录
root@master:/usr/local/setup_scripts# vi javaTest.sh
#!/usr/bin/env bash
if [[ -z "$(which java)" ]]; then
echo "Cannot find the 'java' command."
exit 1
fi
JAVA_HOME=${JAVA_HOME:-"$(dirname $(which java))/.."}
JAVA=${JAVA:-"${JAVA_HOME}/bin/java"}
echo $JAVA_HOME
echo $JAVA
root@master:/usr/local/setup_scripts# chmod u+x javaTest.sh
18,执行java测试脚本ok
root@master:/usr/local/setup_scripts# javaTest.sh
/usr/local/jdk1.8.0_60
/usr/local/jdk1.8.0_60/bin/java
root@master:/usr/local/setup_scripts#
19,更改 alluxio-config.sh
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/libexec# vi alluxio-config.sh
if [[ -z "$(which java)" ]]; then
echo "Cannot find the 'java' command. $(which java) "
exit 1
fi
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/libexec# alluxio copyDir /usr/local/alluxio-1.7.0-hadoop-2.6/libexec/alluxio-config.sh
RSYNC'ing /usr/local/alluxio-1.7.0-hadoop-2.6/libexec/alluxio-config.sh to workers...
worker1
worker2
worker3
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/libexec#
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/libexec# alluxio-start.sh all Mount
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh proxy
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh proxy
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh worker
Waiting for tasks to finish...
All tasks finished
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh master
Waiting for tasks to finish...
All tasks finished
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh master
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh worker Mount
Waiting for tasks to finish...
All tasks finished
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh proxy
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh proxy
Waiting for tasks to finish...
All tasks finished
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/libexec# cat /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio formatWorker
[worker1] Connecting as root...
[worker2] Connecting as root...
[worker3] Connecting as root...
[worker3] nohup: ignoring input
[worker2] nohup: ignoring input
[worker1] nohup: ignoring input
[worker3] Cannot find the 'java' command.
[worker3] Connection to worker3 closed.
[worker2] Cannot find the 'java' command.
[worker2] Connection to worker2 closed.
[worker1] Cannot find the 'java' command.
[worker1] Connection to worker1 closed.
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh proxy
[localhost] Connecting as root...
20, 为了检查是否还有其他的脚本报 Cannot find the 'java' command.,定位是在alluxio-config.sh中报错,因此修改原来的提示,加了一个20180213Test ,echo " 20180213Test Cannot find the 'java' command. $(which java) " 。发现改了提示,莫名没有起作用。因此,只好翻开alluxio的脚本源码,查问题可能在哪
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/libexec# vi alluxio-config.sh
#!/usr/bin/env bash
#
# The Alluxio Open Foundation licenses this work under the Apache License, version 2.0
# (the "License"). You may not use this work except in compliance with the License, which is
# available at www.apache.org/licenses/LICENSE-2.0
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied, as more fully set forth in the License.
#
# See the NOTICE file distributed with this work for information regarding copyright ownership.
#
# Included in all the Alluxio scripts with source command should not be executable directly also
# should not be passed any arguments, since we need original $*
# resolve links - $0 may be a softlink
this="${BASH_SOURCE-$0}"
common_bin=$(cd -P -- "$(dirname -- "${this}")" && pwd -P)
script="$(basename -- "${this}")"
this="${common_bin}/${script}"
# convert relative path to absolute path
config_bin=$(dirname "${this}")
script=$(basename "${this}")
config_bin=$(cd "${config_bin}"; pwd)
this="${config_bin}/${script}"
# This will set the default installation for a tarball installation while os distributors can
# set system installation locations.
VERSION=1.7.0
ALLUXIO_HOME=$(dirname $(dirname "${this}"))
ALLUXIO_ASSEMBLY_CLIENT_JAR="${ALLUXIO_HOME}/assembly/client/target/alluxio-assembly-client-${VERSION}-jar-with-dependencies.jar"
ALLUXIO_ASSEMBLY_SERVER_JAR="${ALLUXIO_HOME}/assembly/server/target/alluxio-assembly-server-${VERSION}-jar-with-dependencies.jar"
ALLUXIO_CONF_DIR="${ALLUXIO_CONF_DIR:-${ALLUXIO_HOME}/conf}"
ALLUXIO_LOGS_DIR="${ALLUXIO_LOGS_DIR:-${ALLUXIO_HOME}/logs}"
if [[ -z "$(which java)" ]]; then
echo " 20180213Test Cannot find the 'java' command. $(which java) "
exit 1
fi
JAVA_HOME=${JAVA_HOME:-"$(dirname $(which java))/.."}
JAVA=${JAVA:-"${JAVA_HOME}/bin/java"}
if [[ -e "${ALLUXIO_CONF_DIR}/alluxio-env.sh" ]]; then
. "${ALLUXIO_CONF_DIR}/alluxio-env.sh"
"alluxio-config.sh" 128L, 5830C written
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/libexec# alluxio copyDir /usr/local/alluxio-1.7.0-hadoop-2.6/libexec/alluxio-config.sh
RSYNC'ing /usr/local/alluxio-1.7.0-hadoop-2.6/libexec/alluxio-config.sh to workers...
worker1
worker2
worker3
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/libexec# cat /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log | more
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio fo
rmatWorker
[worker1] Connecting as root...
[worker2] Connecting as root...
[worker3] Connecting as root...
[worker3] nohup: ignoring input
[worker2] nohup: ignoring input
[worker1] nohup: ignoring input
[worker3] Cannot find the 'java' command.
[worker3] Connection to worker3 closed.
[worker2] Cannot find the 'java' command.
[worker2] Connection to worker2 closed.
[worker1] Cannot find the 'java' command.
#!/usr/bin/env bash
#
# The Alluxio Open Foundation licenses this work under the Apache License, version 2.0
# (the "License"). You may not use this work except in compliance with the License, which is
# available at www.apache.org/licenses/LICENSE-2.0
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied, as more fully set forth in the License.
#
# See the NOTICE file distributed with this work for information regarding copyright ownership.
#
LAUNCHER=
# If debugging is enabled propagate that through to sub-shells
if [[ "$-" == *x* ]]; then
LAUNCHER="bash -x"
fi
BIN=$(cd "$( dirname "$( readlink "$0" || echo "$0" )" )"; pwd)
#start up alluxio
USAGE="Usage: alluxio-start.sh [-hNw] ACTION [MOPT] [-f]
Where ACTION is one of:
all [MOPT] \tStart all masters, proxies, and workers.
local [MOPT] \tStart all processes locally.
master \tStart the master on this node.
masters \tStart masters on master nodes.
proxy \tStart the proxy on this node.
proxies \tStart proxies on master and worker nodes.
safe \tScript will run continuously and start the master if it's not running.
worker [MOPT] \tStart a worker on this node.
workers [MOPT] \tStart workers on worker nodes.
restart_worker \tRestart a failed worker on this node.
restart_workers \tRestart any failed workers on worker nodes.
MOPT (Mount Option) is one of:
Mount \tMount the configured RamFS. Notice: this will format the existing RamFS.
SudoMount\tMount the configured RamFS using sudo.
\tNotice: this will format the existing RamFS.
NoMount \tDo not mount the configured RamFS.
\tNotice: to avoid sudo requirement but using tmpFS in Linux,
set ALLUXIO_RAM_FOLDER=/dev/shm on each worker and use NoMount.
SudoMount is assumed if MOPT is not specified.
-f format Journal, UnderFS Data and Workers Folder on master
-N do not try to kill prior running masters and/or workers in all or local
-w wait for processes to end before returning
-h display this help."
ensure_dirs() {
if [[ ! -d "${ALLUXIO_LOGS_DIR}" ]]; then
echo "ALLUXIO_LOGS_DIR: ${ALLUXIO_LOGS_DIR}"
mkdir -p ${ALLUXIO_LOGS_DIR}
fi
}
get_env() {
DEFAULT_LIBEXEC_DIR="${BIN}"/../libexec
ALLUXIO_LIBEXEC_DIR=${ALLUXIO_LIBEXEC_DIR:-${DEFAULT_LIBEXEC_DIR}}
. ${ALLUXIO_LIBEXEC_DIR}/alluxio-config.sh
CLASSPATH=${ALLUXIO_SERVER_CLASSPATH}
}
# Pass ram folder to check as $1
# Return 0 if ram folder is mounted as tmpfs or ramfs, 1 otherwise
is_ram_folder_mounted() {
local mounted_fs=""
if [[ $(uname -s) == Darwin ]]; then
mounted_fs=$(mount -t "hfs" | grep '/Volumes/' | cut -d " " -f 3)
else
mounted_fs=$(mount -t "tmpfs,ramfs" | cut -d " " -f 3)
fi
for fs in ${mounted_fs}; do
if [[ "${1}" == "${fs}" || "${1}" =~ ^"${fs}"\/.* ]]; then
return 0
fi
done
return 1
}
check_mount_mode() {
case $1 in
Mount);;
SudoMount);;
NoMount)
local tier_alias=$(${BIN}/alluxio getConf alluxio.worker.tieredstore.level0.alias)
local tier_path=$(${BIN}/alluxio getConf alluxio.worker.tieredstore.level0.dirs.path)
if [[ ${tier_alias} != "MEM" ]]; then
# if the top tier is not MEM, skip check
return
fi
is_ram_folder_mounted "${tier_path}"
if [[ $? -ne 0 ]]; then
if [[ $(uname -s) == Darwin ]]; then
# Assuming Mac OS X
echo "ERROR: NoMount is not supported on Mac OS X." >&2
echo -e "${USAGE}" >&2
exit 1
fi
fi
if [[ "${tier_path}" =~ ^"/dev/shm"\/{0,1}$ ]]; then
echo "WARNING: Using tmpFS does not guarantee data to be stored in memory."
echo "WARNING: Check vmstat for memory statistics (e.g. swapping)."
fi
;;
*)
if [[ -z $1 ]]; then
echo "This command requires a mount mode be specified" >&2
else
echo "Invalid mount mode: $1" >&2
fi
echo -e "${USAGE}" >&2
exit 1
esac
}
# pass mode as $1
do_mount() {
MOUNT_FAILED=0
case "$1" in
Mount|SudoMount)
${LAUNCHER} "${BIN}/alluxio-mount.sh" $1
MOUNT_FAILED=$?
;;
NoMount)
;;
*)
echo "This command requires a mount mode be specified" >&2
echo -e "${USAGE}" >&2
exit 1
esac
}
stop() {
${BIN}/alluxio-stop.sh $1
}
start_logserver() {
if [[ ! -d "${ALLUXIO_LOGSERVER_LOGS_DIR}" ]]; then
echo "ALLUXIO_LOGSERVER_LOGS_DIR: ${ALLUXIO_LOGSERVER_LOGS_DIR}"
mkdir -p ${ALLUXIO_LOGSERVER_LOGS_DIR}
fi
echo "Starting logserver @ $(hostname -f)."
(nohup "${JAVA}" -cp ${CLASSPATH} \
${ALLUXIO_LOGSERVER_JAVA_OPTS} \
alluxio.logserver.AlluxioLogServer "${ALLUXIO_LOGSERVER_LOGS_DIR}" > ${ALLUXIO_LOGS_DIR}/logserver.out 2>&1) &
# Wait for 1s before starting other Alluxio servers, otherwise may cause race condition
# leading to connection errors.
sleep 1
}
start_master() {
if [[ "$1" == "-f" ]]; then
${LAUNCHER} ${BIN}/alluxio format
fi
if [[ ${ALLUXIO_MASTER_SECONDARY} == "true" ]]; then
if [[ -z ${ALLUXIO_SECONDARY_MASTER_JAVA_OPTS} ]]; then
ALLUXIO_SECONDARY_MASTER_JAVA_OPTS=${ALLUXIO_JAVA_OPTS}
fi
echo "Starting secondary master @ $(hostname -f). Logging to ${ALLUXIO_LOGS_DIR}"
(nohup "${JAVA}" -cp ${CLASSPATH} \
${ALLUXIO_SECONDARY_MASTER_JAVA_OPTS} \
alluxio.master.AlluxioSecondaryMaster > ${ALLUXIO_LOGS_DIR}/secondary_master.out 2>&1) &
else
if [[ -z ${ALLUXIO_MASTER_JAVA_OPTS} ]]; then
ALLUXIO_MASTER_JAVA_OPTS=${ALLUXIO_JAVA_OPTS}
fi
echo "Starting master @ $(hostname -f). Logging to ${ALLUXIO_LOGS_DIR}"
(nohup "${JAVA}" -cp ${CLASSPATH} \
${ALLUXIO_MASTER_JAVA_OPTS} \
alluxio.master.AlluxioMaster > ${ALLUXIO_LOGS_DIR}/master.out 2>&1) &
fi
}
start_masters() {
${LAUNCHER} "${BIN}/alluxio-masters.sh" "${BIN}/alluxio-start.sh" "master" $1
}
start_proxy() {
if [[ -z ${ALLUXIO_PROXY_JAVA_OPTS} ]]; then
ALLUXIO_PROXY_JAVA_OPTS=${ALLUXIO_JAVA_OPTS}
fi
echo "Starting proxy @ $(hostname -f). Logging to ${ALLUXIO_LOGS_DIR}"
(nohup "${JAVA}" -cp ${CLASSPATH} \
${ALLUXIO_PROXY_JAVA_OPTS} \
alluxio.proxy.AlluxioProxy > ${ALLUXIO_LOGS_DIR}/proxy.out 2>&1) &
}
start_proxies() {
${LAUNCHER} "${BIN}/alluxio-masters.sh" "${BIN}/alluxio-start.sh" "proxy"
${LAUNCHER} "${BIN}/alluxio-workers.sh" "${BIN}/alluxio-start.sh" "proxy"
}
start_worker() {
do_mount $1
if [ ${MOUNT_FAILED} -ne 0 ] ; then
echo "Mount failed, not starting worker" >&2
exit 1
fi
if [[ -z ${ALLUXIO_WORKER_JAVA_OPTS} ]]; then
ALLUXIO_WORKER_JAVA_OPTS=${ALLUXIO_JAVA_OPTS}
fi
echo "Starting worker @ $(hostname -f). Logging to ${ALLUXIO_LOGS_DIR}"
(nohup "${JAVA}" -cp ${CLASSPATH} \
${ALLUXIO_WORKER_JAVA_OPTS} \
alluxio.worker.AlluxioWorker > ${ALLUXIO_LOGS_DIR}/worker.out 2>&1 ) &
}
start_workers() {
${LAUNCHER} "${BIN}/alluxio-workers.sh" "${BIN}/alluxio-start.sh" "worker" $1
}
restart_worker() {
if [[ -z ${ALLUXIO_WORKER_JAVA_OPTS} ]]; then
ALLUXIO_WORKER_JAVA_OPTS=${ALLUXIO_JAVA_OPTS}
fi
RUN=$(ps -ef | grep "alluxio.worker.AlluxioWorker" | grep "java" | wc | awk '{ print $1; }')
if [[ ${RUN} -eq 0 ]]; then
echo "Restarting worker @ $(hostname -f). Logging to ${ALLUXIO_LOGS_DIR}"
(nohup "${JAVA}" -cp ${CLASSPATH} \
${ALLUXIO_WORKER_JAVA_OPTS} \
alluxio.worker.AlluxioWorker > ${ALLUXIO_LOGS_DIR}/worker.out 2>&1) &
fi
}
restart_workers() {
${LAUNCHER} "${BIN}/alluxio-workers.sh" "${BIN}/alluxio-start.sh" "restart_worker"
}
run_safe() {
while [ 1 ]
do
RUN=$(ps -ef | grep "alluxio.master.AlluxioMaster" | grep "java" | awk '{ print $1; }')
if [[ ${RUN} -eq 0 ]]; then
echo "Restarting the system master..."
start_master
fi
echo "Alluxio is running... "
sleep 2
done
}
main() {
# get environment
get_env
# ensure log/data dirs
ensure_dirs
while getopts "hNw" o; do
case "${o}" in
h)
echo -e "${USAGE}"
exit 0
;;
N)
killonstart="no"
;;
w)
wait="true"
;;
*)
echo -e "${USAGE}" >&2
exit 1
;;
esac
done
shift $((${OPTIND} - 1))
ACTION=$1
if [[ -z "${ACTION}" ]]; then
echo "Error: no ACTION specified" >&2
echo -e "${USAGE}" >&2
exit 1
fi
shift
MOPT=$1
# Set MOPT.
case "${ACTION}" in
all|worker|workers|local)
if [[ -z "${MOPT}" || "${MOPT}" == "-f" ]]; then
MOPT="SudoMount"
else
shift
fi
check_mount_mode "${MOPT}"
;;
*)
MOPT=""
;;
esac
FORMAT=$1
if [[ ! -z "${FORMAT}" && "${FORMAT}" != "-f" ]]; then
echo -e "${USAGE}" >&2
exit 1
fi
case "${ACTION}" in
all)
if [[ "${killonstart}" != "no" ]]; then
stop all
sleep 1
fi
start_masters "${FORMAT}"
sleep 2
start_workers "${MOPT}"
start_proxies
;;
local)
if [[ "${killonstart}" != "no" ]]; then
stop local
sleep 1
fi
start_master "${FORMAT}"
ALLUXIO_MASTER_SECONDARY=true
start_master
ALLUXIO_MASTER_SECONDARY=false
sleep 2
start_worker "${MOPT}"
start_proxy
;;
master)
start_master "${FORMAT}"
;;
masters)
start_masters
;;
proxy)
start_proxy
;;
proxies)
start_proxies
;;
restart_worker)
restart_worker
;;
restart_workers)
restart_workers
;;
safe)
run_safe
;;
worker)
start_worker "${MOPT}"
;;
workers)
start_workers "${MOPT}"
;;
logserver)
start_logserver
;;
*)
echo "Error: Invalid ACTION: ${ACTION}" >&2
echo -e "${USAGE}" >&2
exit 1
esac
sleep 2
if [[ "${wait}" ]]; then
wait
fi
}
main "$@"
23,master源代码
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/bin# ls
alluxio alluxio-masters.sh alluxio-mount.sh alluxio-start.sh alluxio-stop.sh alluxio-workers.sh
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/bin# cat alluxio-masters.sh
#!/usr/bin/env bash
#
# The Alluxio Open Foundation licenses this work under the Apache License, version 2.0
# (the "License"). You may not use this work except in compliance with the License, which is
# available at www.apache.org/licenses/LICENSE-2.0
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied, as more fully set forth in the License.
#
# See the NOTICE file distributed with this work for information regarding copyright ownership.
#
LAUNCHER=
# If debugging is enabled propagate that through to sub-shells
if [[ "$-" == *x* ]]; then
LAUNCHER="bash -x"
fi
BIN=$(cd "$( dirname "$( readlink "$0" || echo "$0" )" )"; pwd)
USAGE="Usage: alluxio-masters.sh command..."
# if no args specified, show usage
if [[ $# -le 0 ]]; then
echo ${USAGE} >&2
exit 1
fi
DEFAULT_LIBEXEC_DIR="${BIN}/../libexec"
ALLUXIO_LIBEXEC_DIR=${ALLUXIO_LIBEXEC_DIR:-${DEFAULT_LIBEXEC_DIR}}
. ${ALLUXIO_LIBEXEC_DIR}/alluxio-config.sh
HOSTLIST=$(cat "${ALLUXIO_CONF_DIR}/masters" | sed "s/#.*$//;/^$/d")
mkdir -p "${ALLUXIO_LOGS_DIR}"
ALLUXIO_TASK_LOG="${ALLUXIO_LOGS_DIR}/task.log"
echo "Executing the following command on all master nodes and logging to ${ALLUXIO_TASK_LOG}: $@" | tee -a ${ALLUXIO_TASK_LOG}
N=0
ZOOKEEPER_ENABLED=$(${BIN}/alluxio getConf alluxio.zookeeper.enabled)
for master in $(echo ${HOSTLIST}); do
echo "[${master}] Connecting as ${USER}..." >> ${ALLUXIO_TASK_LOG}
if [[ ${ZOOKEEPER_ENABLED} == "true" || ${N} -eq 0 ]]; then
nohup ssh -o ConnectTimeout=5 -o StrictHostKeyChecking=no -tt ${master} ${LAUNCHER} \
$"${@// /\\ }" 2>&1 | while read line; do echo "[${master}] ${line}"; done >> ${ALLUXIO_TASK_LOG} &
else
nohup ssh -o ConnectTimeout=5 -o StrictHostKeyChecking=no -tt ${master} ${LAUNCHER} \
$"export ALLUXIO_MASTER_SECONDARY=true; ${@// /\\ }" 2>&1 | while read line; do echo "[${master}] ${line}"; done >> ${ALLUXIO_TASK_LOG} &
fi
N=$((N+1))
done
echo "Waiting for tasks to finish..."
wait
echo "All tasks finished"
24 worker源代码:
#!/usr/bin/env bash
#
# The Alluxio Open Foundation licenses this work under the Apache License, version 2.0
# (the "License"). You may not use this work except in compliance with the License, which is
# available at www.apache.org/licenses/LICENSE-2.0
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied, as more fully set forth in the License.
#
# See the NOTICE file distributed with this work for information regarding copyright ownership.
#
LAUNCHER=
# If debugging is enabled propagate that through to sub-shells
if [[ "$-" == *x* ]]; then
LAUNCHER="bash -x"
fi
BIN=$(cd "$( dirname "$( readlink "$0" || echo "$0" )" )"; pwd)
USAGE="Usage: alluxio-workers.sh command..."
# if no args specified, show usage
if [[ $# -le 0 ]]; then
echo ${USAGE} >&2
exit 1
fi
DEFAULT_LIBEXEC_DIR="${BIN}/../libexec"
ALLUXIO_LIBEXEC_DIR=${ALLUXIO_LIBEXEC_DIR:-${DEFAULT_LIBEXEC_DIR}}
. ${ALLUXIO_LIBEXEC_DIR}/alluxio-config.sh
HOSTLIST=$(cat ${ALLUXIO_CONF_DIR}/workers | sed "s/#.*$//;/^$/d")
mkdir -p "${ALLUXIO_LOGS_DIR}"
ALLUXIO_TASK_LOG="${ALLUXIO_LOGS_DIR}/task.log"
echo "Executing the following command on all worker nodes and logging to ${ALLUXIO_TASK_LOG}: $@" | tee -a ${ALLUXIO_TASK_LOG}
for worker in $(echo ${HOSTLIST}); do
echo "[${worker}] Connecting as ${USER}..." >> ${ALLUXIO_TASK_LOG}
nohup ssh -o ConnectTimeout=5 -o StrictHostKeyChecking=no -tt ${worker} ${LAUNCHER} \
$"${@// /\\ }" 2>&1 | while read line; do echo "[${worker}] ${line}"; done >> ${ALLUXIO_TASK_LOG} &
done
echo "Waiting for tasks to finish..."
wait
echo "All tasks finished"
25,再次运行,又发现改动的地方生效了,但还是找不到java
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/bin# cat /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log
root@worker2:/usr/local/alluxio-1.7.0-hadoop-2.6/bin# alluxio-workers.sh all
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: all
Waiting for tasks to finish...
All tasks finished
root@worker2:/usr/local/alluxio-1.7.0-hadoop-2.6/bin# jps
2929 AlluxioProxy
5218 Jps
2278 NodeManager
2185 DataNode
root@worker2:/usr/local/alluxio-1.7.0-hadoop-2.6/bin# cat /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: all
[worker1] Connecting as root...
[worker2] Connecting as root...
[worker3] Connecting as root...
[worker1] nohup: ignoring input
[worker2] nohup: ignoring input
[worker3] nohup: ignoring input
[worker3] Warning: Permanently added 'worker3,192.168.189.4' (ECDSA) to the list of known hosts.
[worker1] Warning: Permanently added 'worker1,192.168.189.2' (ECDSA) to the list of known hosts.
[worker2] Warning: Permanently added 'worker2,192.168.189.3' (ECDSA) to the list of known hosts.
[worker1] bash: all: command not found
[worker1] Connection to worker1 closed.
[worker3] bash: all: command not found
[worker3] Connection to worker3 closed.
[worker2] bash: all: command not found
[worker2] Connection to worker2 closed.
[worker1] 20180213Test Cannot find the 'java' command.
[worker1] Connection to worker1 closed.
[worker2] 20180213Test Cannot find the 'java' command.
[worker2] Connection to worker2 closed.
[worker3] 20180213Test Cannot find the 'java' command.
[worker3] Connection to worker3 closed.
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh master
[localhost] Connecting as root...
[localhost] nohup: ignoring input
[localhost] 20180213Test Cannot find the 'java' command.
[localhost] Connection to localhost closed.
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh master
[localhost] Connecting as root...
[localhost] nohup: ignoring input
[localhost] 20180213Test Cannot find the 'java' command.
[localhost] Connection to localhost closed.
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh worker Mount
[worker1] Connecting as root...
[worker2] Connecting as root...
[worker3] Connecting as root...
[worker1] nohup: ignoring input
[worker2] nohup: ignoring input
[worker3] nohup: ignoring input
[worker1] 20180213Test Cannot find the 'java' command.
[worker1] Connection to worker1 closed.
[worker3] 20180213Test Cannot find the 'java' command.
[worker3] Connection to worker3 closed.
[worker2] 20180213Test Cannot find the 'java' command.
[worker2] Connection to worker2 closed.
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh proxy
[localhost] Connecting as root...
[localhost] nohup: ignoring input
[localhost] 20180213Test Cannot find the 'java' command.
[localhost] Connection to localhost closed.
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh proxy
[worker1] Connecting as root...
[worker2] Connecting as root...
[worker3] Connecting as root...
[worker3] nohup: ignoring input
[worker2] nohup: ignoring input
[worker1] nohup: ignoring input
[worker1] 20180213Test Cannot find the 'java' command.
[worker1] Connection to worker1 closed.
[worker2] 20180213Test Cannot find the 'java' command.
[worker2] Connection to worker2 closed.
[worker3] 20180213Test Cannot find the 'java' command.
[worker3] Connection to worker3 closed.
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: all Mount
[localhost] Connecting as root...
[localhost] nohup: ignoring input
[localhost] bash: all: command not found
[localhost] Connection to localhost closed.
查看脚本源代码,这个java的提示还是就在 alluxio-config.sh中,直接将原来几行语句注释掉,直接将JAVA_HOME="/usr/local/jdk1.8.0_60"
JAVA="/usr/local/jdk1.8.0_60/bin/java" 赋值,当晚测试仍alluxioworker起不了。
root@master:/usr/local/alluxio-1.7.0-hadoop-2.6/libexec# vi alluxio-config.sh
#if [[ -z "$(which java)" ]]; then
# echo " 20180213Test Cannot find the 'java' command. $(which java) "
# exit 1
#fi
#JAVA_HOME=${JAVA_HOME:-"$(dirname $(which java))/.."}
#JAVA=${JAVA:-"${JAVA_HOME}/bin/java"}
JAVA_HOME="/usr/local/jdk1.8.0_60"
JAVA="/usr/local/jdk1.8.0_60/bin/java"
26,找到原因没起作用,当晚放下!第二天重新启动电脑、重启虚拟机,重启HADOOP,重启Alluxio,竟然可以了!原因只可能是VM虚拟机Linux系统莫名hang住了。Alluxio一切成功!
root@master:~# alluxio-start.sh all Mount
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh proxy
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh proxy
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh worker
Waiting for tasks to finish...
All tasks finished
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-stop.sh master
Waiting for tasks to finish...
All tasks finished
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh master
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh worker Mount
Waiting for tasks to finish...
All tasks finished
Executing the following command on all master nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh proxy
Waiting for tasks to finish...
All tasks finished
Executing the following command on all worker nodes and logging to /usr/local/alluxio-1.7.0-hadoop-2.6/logs/task.log: /usr/local/alluxio-1.7.0-hadoop-2.6/bin/alluxio-start.sh proxy
Waiting for tasks to finish...
All tasks finished
root@master:~# jps
2480 NameNode
3924 AlluxioProxy
2661 SecondaryNameNode
3993 Jps
3711 AlluxioMaster
2831 ResourceManager
root@master:~#
root@worker1:/usr/local/alluxio-1.7.0-hadoop-2.6/bin# jps
2178 DataNode
5318 Jps
5272 AlluxioProxy
5164 AlluxioWorker
2271 NodeManager
root@worker2:~# jps
2273 NodeManager
2179 DataNode
3846 AlluxioWorker
3960 AlluxioProxy
4010 Jps
root@worker3:~# jps
2232 NodeManager
2139 DataNode
3755 AlluxioProxy
3659 AlluxioWorker
3803 Jps
root@worker3:~#